;; -*-emacs-lisp-*-

;; Figure out package dir:
(let ((package-dir (concat "/usr/share/"
			   (symbol-name debian-emacs-flavor)
			   "/site-lisp/vala-mode-el")))
  ;; If package-dir does not exist, this package must have
  ;; removed but not purged, and we should skip the setup.
  (when (file-directory-p package-dir)

    ;; add it to the load-path:
    (cond ((fboundp 'debian-pkg-add-load-path-item)
	   (debian-pkg-add-load-path-item package-dir))
	  ((fboundp 'add-to-list)
	   (add-to-list load-path package-dir))
	  (t
	   (setq load-path (cons package-dir load-path))))

    ;; Installation snippet per https://live.gnome.org/Vala/Emacs
    (autoload 'vala-mode "vala-mode" "Major mode for editing Vala code." t)
    (add-to-list 'auto-mode-alist '("\\.vala$" . vala-mode))
    (add-to-list 'auto-mode-alist '("\\.vapi$" . vala-mode))
    (add-to-list 'file-coding-system-alist '("\\.vala$" . utf-8))
    (add-to-list 'file-coding-system-alist '("\\.vapi$" . utf-8))))
